Bug 20442 - up2date console requires /var/www/html/index.html
Summary: up2date console requires /var/www/html/index.html
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-06 22:21 UTC by Ryan Jonasson
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-06 22:21:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:138 high SHIPPED_LIVE New, enhanced Update Agent for Red Hat Linux 6.x, 7.0 available 2000-12-21 05:00:00 UTC

Description Ryan Jonasson 2000-11-06 22:21:12 UTC
Why?

When retrieving a list of updated packages, up2date dies complaining 
of "no such file or directory: /var/www/html/index.html"

[root /root]# up2date -l

Retrieving list of all available packages...

Removing installed packages from list of updates...
100.0%
Removing packages marked to skip from list...
100.0%
Getting headers for available packages...
100.0%
Removing packages with files marked to skip from list...
Traceback (innermost last):
  File "/usr/sbin/up2date", line 394, in ?
    main()
  File "/usr/sbin/up2date", line 377, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 139, in batchRun
    updated, skipped = up2date.getUpdatedPackageList(printit, percent)
  File "/usr/share/rhn/up2date/up2date.py", line 897, in 
getUpdatedPackageList
    progressCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 854, in 
removeSkipFilesPackagesFromList
    if checkModified(h, f_i):
  File "/usr/share/rhn/up2date/up2date.py", line 789, in checkModified
    if installedFileMD5s[j] != md5(fileName):
  File "/usr/share/rhn/up2date/up2date.py", line 218, in md5
    f = open(fileName, "r")
IOError: [Errno 2] No such file or directory: '/var/www/html/index.html'
 

I can fix the problem by touch'ing the file to create it, but that throws 
my HTTP server off b/c I am using an index.php file instead.

I have up2date 2.0.6-1 installed.

Thanks for the info.

Comment 1 Preston Brown 2000-11-28 16:31:54 UTC
Thanks for the bug report.  This has been corrected in an upcoming errata
release of Update Agent due this week.


Note You need to log in before you can comment on or make changes to this bug.